| Classes - Annotated - Tree - Functions - Home - Structure

# QHBoxLayout Class Reference

The QHBoxLayout class lines up widgets horizontally. More...

`#include <qlayout.h>`

Inherits QBoxLayout.

List of all member functions.

## Public Members

- QHBoxLayout ( QWidget * parent, int border=0, int space = -1, const char * name=0 )
- QHBoxLayout ( QLayout * parentLayout, int space = -1, const char * name=0 )
- QHBoxLayout ( int space = -1, const char * name=0 )
- ~QHBoxLayout ()

## Detailed Description

The QHBoxLayout class lines up widgets horizontally.

This class provides an easier way to construct horizontal box layout objects. See QBoxLayout for more details.

The simplest ways to use this class are:

         QBoxLayout * l = new QHBoxLayout( widget );
         l->setAutoAdd( TRUE );
         new QSomeWidget( widget );
         new QSomeOtherWidget( widget );
         new QAnotherWidget( widget );

or

         QBoxLayout * l = new QHBoxLayout( widget );
         l->addWidget( existingChildOfWidget );
         l->addWidget( anotherChildOfWidget );

See also QVBoxLayout, QGridLayout and Layout overview documentation

Examples: layout/layout.cpp popup/popup.cpp

## Member Function Documentation

### QHBoxLayout::QHBoxLayout ( QLayout * parentLayout, int space = -1, const char * name=0 )

Constructs a new horizontal box and adds it to parentLayout.

### QHBoxLayout::QHBoxLayout ( QWidget * parent, int border=0, int space = -1, const char * name=0 )

Constructs a new top-level horizontal box.

### QHBoxLayout::QHBoxLayout ( int space = -1, const char * name=0 )

Constructs a new horizontal box. You have to add it to another layout.

### QHBoxLayout::~QHBoxLayout ()

Destructs this box.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.